<?php
/*
 * Create ads to insert for tests. 
 * Should go through all regions categories from config and try to 
 * go thought all the necessary params for each category and insert ads.
 * php -c ${path_to_blocket_build}/conf/php.ini create_ads_per_reg_cat.php <-v verbose> <-r remote_addr> <-l limit>
 *
 * TODO: 
 *	- insert ads with different param values (random for each param to fit validators)
 *	- insert user data again with different names and emails (again random)
 *	- get regions/categories/params from bconf
 *	- insert ads that are not spidered and review them
 */
require_once("config.php");
require_once("bTransaction.php");
ini_set('memory_limit','1024M');

$shortopts = 'l:vr';
$options = getopt($shortopts);

if (!isset($options['l'])) {
	$limit = 1;
} else {
	$limit = $options['l'];
}

if (isset($options['v']))
	$verbose = true;

if (isset($options['r']))
	$params = $params_required;

GLOBAL $BCONF;

$e_ad_id = 0;
$type = 'shku';
$company_ad = 'ft';

for ($l = 1; $l <= $limit; $l++) {
	foreach ($category as $cat => $cat_name) {
		foreach ($region as $reg => $reg_name) { 
			$trans = new bTransaction;
			$i = 0;
			while (isset($params[$cat][$i])) {	
				$param = $params[$cat][$i++];
				if ($param == 'communes') {
					$commune_list = bconf_get($BCONF, "*.common.region." . $reg . ".commune");
					$commune_keys = array_keys($commune_list);
					$cat_param = rand($commune_keys[0], $commune_keys[0] + count($commune_list) - 1);
				}
				if (isset($$param)) {
					$cat_param = $$param;
					if (is_array($cat_param)) {
						$cat_param = rand($cat_param[0], $cat_param[1]);
					}
				}
				$trans->add_data($param, @$cat_param);
			}
			$trans->add_data('link_type', 'asdf');
			$trans->add_data('external_ad_id', ++$e_ad_id);
			$trans->add_data('region', $reg);
			$trans->add_data('category', $cat);
			$trans->add_data('name', 'meme');
			$trans->add_data('phone', '12341234');
			$trans->add_data('email', 'may@yes.no');
			$trans->add_data('type', $type{rand(0,3)});
			$trans->add_data('subject', substr($reg_name, 0, 20) . " " . substr($cat_name, 0 ,20) . " $l");
			$trans->add_data('body', "Autogenerated body for test purposes and such\nRegion $reg_name category $cat_name");
			$trans->add_data('company_ad', $company_ad{rand(0,1)});
			$trans->add_data('lang', 'es');
			$result = $trans->send_command('newad');

			if (isset($verbose))
				print_r($result);

			unset($trans);
		}
	}
}
?>
